{% extends "@ChillPerson/Person/layout.html.twig"  %}

{% set activeRouteKey = 'chill_activity_activity_list' %}

{% block title 'Show the activity'|trans %}

{% block js %}
    {{ parent() }}
    {{ encore_entry_script_tags('mod_notification_toggle_read_status') }}
    {{ encore_entry_script_tags('mod_document_action_buttons_group') }}
{% endblock %}

{% block css %}
    {{ parent() }}
    {{ encore_entry_link_tags('mod_notification_toggle_read_status') }}
    {{ encore_entry_link_tags('mod_document_action_buttons_group') }}
{% endblock %}

{% import '@ChillActivity/ActivityReason/macro.html.twig' as m %}

{% block content -%}
<div class="activity-show">
    {% include '@ChillActivity/Activity/show.html.twig' with {'context': 'person'} %}
</div>
{% endblock %}

{% block block_post_menu %}
    <div class="post-menu pt-4">

        <div class="d-grid gap-2">
            <a class="btn btn-notify" href="{{ chill_path_add_return_path('chill_main_notification_create', {'entityClass': 'Chill\\ActivityBundle\\Entity\\Activity', 'entityId': entity.id}) }}">
                {{ 'notification.Notify'|trans }}
            </a>
        </div>

        {% set notifications =  chill_list_notifications('Chill\\ActivityBundle\\Entity\\Activity', entity.id) %}
        {% if notifications is not empty %}
            {{ notifications|raw }}
        {% endif %}

    </div>
{% endblock %}
